## org.apache.xalan.xsltc.dom
Class SortingIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.SortingIterator

public final class SortingIterator
extends DTMAxisIteratorBase

Constructor Summary
`SortingIterator(DTMAxisIterator source, NodeSortRecordFactory factory)`

Method Summary
`DTMAxisIterator` `cloneIterator()` Clone a `SortingIterator` by cloning its source iterator and then sharing the factory and the array of `NodeSortRecords`.
`int` `getLast()`
`int` `getPosition()`
`void` `gotoMark()`
`int` `next()`
`void` `setMark()`
`DTMAxisIterator` `setStartNode(int node)`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getNodeByPosition, getStartNode, includeSelf, isDocOrdered, isReverse, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortingIterator

    public SortingIterator(DTMAxisIterator source,
                           NodeSortRecordFactory factory)

Method Detail

### next

    public int next()

### setStartNode

    public DTMAxisIterator setStartNode(int node)

### getPosition

    public int getPosition()

  Overrides:
    getPosition in class DTMAxisIteratorBase

### getLast

    public int getLast()

  Overrides:
    getLast in class DTMAxisIteratorBase

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

### cloneIterator

    public DTMAxisIterator cloneIterator()

  Clone a `SortingIterator` by cloning its source iterator and then sharing the factory and the array of `NodeSortRecords`.
  Overrides:
    cloneIterator in class DTMAxisIteratorBase

Copyright © 2006 Apache XML Project. All Rights Reserved.